Skip to content

Get application history for an add-on

GET
/v1/add_ons/{code}/applications

Get all applications of an add-on with customer names.

code
required
Code
string

Successful Response

Response Get Add On Applications V1 Add Ons Code Applications Get
Array<object>
AppliedAddOnDetailResponse

Applied add-on with customer name for display.

object
id
required
Id
string format: uuid
add_on_id
required
Add On Id
string format: uuid
customer_id
required
Customer Id
string format: uuid
customer_name
required
Customer Name
string
amount_cents
required
Amount Cents
string
/^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$/
amount_currency
required
Amount Currency
string
created_at
required
Created At
string format: date-time

Unauthorized

Add-on not found

Validation Error

HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object